Subject: Re: [Ltru] Ltru Digest, Vol 44, Issue 15

From: Lang Gérard <[email-masked]>
Date: Fri, 3 Oct 2008 09:39:01 +0200

Dear All,

0-Let me suggest that we should adopt a precise, uniform and recognized terminology when discussing about transformations between languages and/or scripts.
So, I reproduce thereafter 8 definitions that have been given by the UNGEGN (United Nations Group of Experts for Geographical Names) inside their Manual M 85, published by the UN Department of Economic and Social Affairs, Statistical Division, in May 2002, entitled "Glossary of Terms for the Standardization of Geographic Names".
All definitions are given in the 6 official UN's languages, and I only reproduce the english linguistic version.

1-TRANSFORMATION [, names]: [In toponymy,] general term covering the TRANSLATION, TRANSCRIPTION and TRANSLITERATION [of toponyms]. The two latter terms constitute CONVERSION.

2-TRANSLATION: (a) The process of expressing meaning, presented in a source LANGUAGE, in the words of a target LANGUAGE.
                           (b) A result of this process. [In toponymy it is sometimes applied only to the generic element of a name.]

3-CONVERSION: [In toponymy,] the process of transferring the phonological and/or morphological elements of a particular LANGUAGE to another, or from one SCRIPT to another. Conversion is effected by either TRANSCRIPTION or TRANSLITERATION.

4-TRANSCRIPTION: (a) A method of phonetic names CONVERSION between different LANGUAGES, in which the sounds of a source LANGUAGE are recorded in terms of a specific target LANGUAGE and its particular SCRIPT, normally withou recourse to additional diacritics.
                              (b) A result of this process.
 TRANSCRIPTION is not normally a reversible process. Retranscription (e.g. by computer) might result in a form differing from the original.
 However, pinyin romanization of Chinese, although being a CONVERSION between SCRIPTS, but phonetic and non-reversible, is also regarded as TRANSCRIPTION, not as TRANSLITERATION.

5-TRANSLITERATION: (a) A method of names CONVERSION between different alphabetic SCRIPTS or syllabic SCRIPTS, in which each character or di-, tri- or tetragraph of the source SCRIPT is represented in the target SCRIPT in principle by one character or di-, tri- or tetragraph, or a diacritic or a combination of these. TRANSLITERATION, as distinct from TRANSCRIPTION, aims at (but does not necessarily achieve) complete reversibility, and must be accompanied by a transliteration key.
                                  (b) A result of this process.

6-ROMANIZATION: CONVERSION from non-Roman into Roman SCRIPT.

7-LANGUAGE:  [In the context of this glossary,] a means of verbal communication used by a large community, including the words, their pronunciation and the method of combining them.

8-SCRIPT: A set of graphic symbols employed in writig or printing a particular LANGUAGE, differing from another set not only by typeface or font.
Groups of different SCRIPTS form writing systems.
Examples: Roman, Greek, Cyrillic, Korean, Thai, arabic and Hebrew SCRIPTS belong to the alphabetic writing system (but the latter two are defective, i.e. mainly consonant SCRIPTS); Amharic, Japanese Kana and Inuktitut (Eskimo) SCRIPTS belong to the syllabic writing system; Chinese Han and Japanese Kanji SCRIPTS belong to the logographic writing system.

Bien cordialement
.Gérard LANG
                            
-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] De la part de [email-masked]
Envoyé : vendredi 3 octobre 2008 08:02
À : [email-masked]
Objet : Ltru Digest, Vol 44, Issue 15

Send Ltru mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	https://www.ietf.org/mailman/listinfo/ltru
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific than "Re: Contents of Ltru digest..."

Today's Topics:

   1. Re: Too fine-grained? (Leif Halvard Silli)
   2. Re: Uniqueness of variant subtags (John Cowan)
   3. Re: Uniqueness of variant subtags (Peter Constable)
   4. Re: Uniqueness of variant subtags (Mark Davis)
   5. Re: Uniqueness of variant subtags (Leif Halvard Silli)
   6. Re: Uniqueness of variant subtags (Peter Constable)

----------------------------------------------------------------------

Message: 1
Date: Fri, 03 Oct 2008 06:49:09 +0200
From: Leif Halvard Silli <[email-masked]>
Subject: Re: [Ltru] Too fine-grained?
To: Doug Ewell <[email-masked]>
Cc: LTRU Working Group <[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=UTF-8; format=flowed

Doug Ewell 2008-10-03 04.31:
   [...]

> The finer-grained our language tagging solutions become, such as 
> "no-1907" versus "no-1917", the less likely it is that all of these 
> use cases will be met.

The disadvantages are also the advantages: You don't want "nn-1907" to be spelling checked like current "nn", so it may be fine if the computer does not try to spell-check "nn-1917". 
(Perhaps the alternative would be to "un-tag", or use an incorrect tag for texts following the 1917 norm, in order to avoid such
spell-checking.)

OTOH, a variant can sometimes come in place for a new language subtag - and thus can keep things together rather than be splitting. E.g. I understand that some prefer Resian to be registered as its own language. So this hints that variant subtags can also simplify and join rather than complicate and split.

   [...]

> So before we assume that we'll eventually have lots of 1917's and 
> 1959's and 1994's colliding with each other, and need to make sure all 
> of them can coexist, we might want to think about whether these are 
> distinctions that need to be made in language tags.

The alterantive will often be x-private subtags, I think. And they are even harder to get computers or people to handle.
--
leif halvard silli

------------------------------

Message: 2
Date: Fri, 3 Oct 2008 01:33:06 -0400
From: John Cowan <[email-masked]>
Subject: Re: [Ltru] Uniqueness of variant subtags
To: Leif Halvard Silli <[email-masked]>
Cc: LTRU Working Group <[email-masked]>,	Kent Karlsson
	<[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=us-ascii

Leif Halvard Silli scripsit:

> It is interesting to compare the prefixes allowed for "1996",
> 
> 	Prefix: de
> 
> to those allowed for "1994":
> 
> 	Prefix: sl-rozaj
> 	Prefix: sl-rozaj-biske
> 	Prefix: sl-rozaj-njiva
> 	Prefix: sl-rozaj-osojs
> 	Prefix: sl-rozaj-solba

Not *allowed*, but *recommended*.  The first means that we say you SHOULD use 'de'
(and implicitly, SHOULD NOT use any other primary language subtag) with '1996'.
The second group means that you SHOULD use 'sl', AND you SHOULD use 'rozaj', AD you should use either one of the four variant tags or no variant tag, before you use '1994'.

> Allthough "sl-rozaj-lipaw" is not listed, since "sl-rozaj" is listed, 
> how can we know that "sl-rozaj-lipaw-1994" is not permitted?

But it *is* permitted.  The Prefix: on a subtag is only what's recommended.

-- 
John Cowan   [email-masked]  http://www.ccil.org/~cowan
Most languages are dramatically underdescribed, and at least one is dramatically overdescribed.  Still other languages are simultaneously overdescribed and underdescribed.  Welsh pertains to the third category.
        --Alan King

------------------------------

Message: 3
Date: Thu, 2 Oct 2008 22:53:27 -0700
From: Peter Constable <[email-masked]>
Subject: Re: [Ltru] Uniqueness of variant subtags
To: LTRU Working Group <[email-masked]>
Message-ID:
	<[email-masked]>
	
Content-Type: text/plain; charset="utf-8"

You lot are generating a lot of mail on a last call topic. I hope that we are moving toward stability of the draft, not trying to rush in new features at the last minute.

Martin wrote:

> I hope we can restrict this to the a very short time.
> Everybody, please comment quickly...

I agree with those who say we should not allow two records having the same subtag and the same type.

I agree with the sentiment that a subtag should have a consistent semantic. Years are relatively easy cases as the concept of 'point in time at which some significant change in conventions occurred' is pretty straightforward. (Someone mentioned the possibility of two changes happening for a given language in a given year -- that just means that, in that case, more than four-digit subtag is needed.) Beyond that, there'd be a need to be wary of the kind of fuzziness Randy fears. A case like "northern" is a clear example of a problematic case: there is a trivial sense in which "northern" would always have a consistent semantic, but that would be a vague trap that would snare us unless there were some way to make exactly clear what specific semantic is meant for each collocation.

This reminds me of issues in lexicography, in which a word form may correspond to distinct lexemes (distinct meanings), or in which a single lexeme can have multiple senses: in either case, a hierarchical organization of information is typically used to show how information is related. So, instead of

> Type: variant
> Subtag: 1901
> Description: German orthography of 1901
> Description: Uzbek transliteration of 1901
> Prefix: de
> Prefix: uz
> Comments: Good luck figuring this out.

something along the lines of

Type: variant
Subtag: 1901
Sense:
   Description: German orthography of 1901
   Prefix: de
   Reference: ...
Sense:
   Description: Uzbek transliteration of 1901
   Prefix: uz
   Reference: ...

Some said that the first record above seems reasonably clear; I concede that -- in this case; but in the general case I think there are real risks of introducing ambiguity and lack of clarity into records.

But the kind of approach in the second record above would require a lot more change than I think should be introduced at this stage. I think it very important to limit ourselves to a useful change that we can get quick closure on. To that end, I suggest

- that we have a requirement on one record per subtag-type,
- that at this point we not block records like the first one above
- that there be a general requirement on a consistent semantic for all uses of a subtag
- that there be some general cautions about risks of confusion if the intent for each particular collocation is unclear

And beyond that, that for now we leave it to the IETF-Language list and LSTR to do the right thing -- so that we in LTRU can do the right thing for us at this point, which is to close on this discussion and on the WGLC.

Peter

------------------------------

Message: 4
Date: Fri, 3 Oct 2008 07:59:24 +0200
From: "Mark Davis" <[email-masked]>
Subject: Re: [Ltru] Uniqueness of variant subtags
To: "Peter Constable" <[email-masked]>
Cc: LTRU Working Group <[email-masked]>
Message-ID:
	<[email-masked]>
Content-Type: text/plain; charset="utf-8"

I think we might be in rough agreement. Can you suggest changes in the wording in http://docs.google.com/Doc?id=dfqr8rd5_216dbfzfkf5?
Mark

On Fri, Oct 3, 2008 at 7:53 AM, Peter Constable <[email-masked]>wrote:

> You lot are generating a lot of mail on a last call topic. I hope that 
> we are moving toward stability of the draft, not trying to rush in new 
> features at the last minute.
>
> Martin wrote:
>
> > I hope we can restrict this to the a very short time.
> > Everybody, please comment quickly...
>
> I agree with those who say we should not allow two records having the 
> same subtag and the same type.
>
> I agree with the sentiment that a subtag should have a consistent semantic.
> Years are relatively easy cases as the concept of 'point in time at 
> which some significant change in conventions occurred' is pretty straightforward.
> (Someone mentioned the possibility of two changes happening for a 
> given language in a given year -- that just means that, in that case, 
> more than four-digit subtag is needed.) Beyond that, there'd be a need 
> to be wary of the kind of fuzziness Randy fears. A case like 
> "northern" is a clear example of a problematic case: there is a 
> trivial sense in which "northern" would always have a consistent 
> semantic, but that would be a vague trap that would snare us unless 
> there were some way to make exactly clear what specific semantic is meant for each collocation.
>
> This reminds me of issues in lexicography, in which a word form may 
> correspond to distinct lexemes (distinct meanings), or in which a 
> single lexeme can have multiple senses: in either case, a hierarchical 
> organization of information is typically used to show how information 
> is related. So, instead of
>
> > Type: variant
> > Subtag: 1901
> > Description: German orthography of 1901
> > Description: Uzbek transliteration of 1901
> > Prefix: de
> > Prefix: uz
> > Comments: Good luck figuring this out.
>
> something along the lines of
>
> Type: variant
> Subtag: 1901
> Sense:
>   Description: German orthography of 1901
>   Prefix: de
>   Reference: ...
> Sense:
>   Description: Uzbek transliteration of 1901
>   Prefix: uz
>   Reference: ...
>
> Some said that the first record above seems reasonably clear; I 
> concede that -- in this case; but in the general case I think there 
> are real risks of introducing ambiguity and lack of clarity into records.
>
> But the kind of approach in the second record above would require a 
> lot more change than I think should be introduced at this stage. I 
> think it very important to limit ourselves to a useful change that we 
> can get quick closure on. To that end, I suggest
>
> - that we have a requirement on one record per subtag-type,
> - that at this point we not block records like the first one above
> - that there be a general requirement on a consistent semantic for all 
> uses of a subtag
> - that there be some general cautions about risks of confusion if the 
> intent for each particular collocation is unclear
>
> And beyond that, that for now we leave it to the IETF-Language list 
> and LSTR to do the right thing -- so that we in LTRU can do the right 
> thing for us at this point, which is to close on this discussion and on the WGLC.
>
>
>
>
> Peter
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.ietf.org/pipermail/ltru/attachments/20081003/7d71aef2/attachment-0001.htm>

------------------------------

Message: 5
Date: Fri, 03 Oct 2008 08:00:21 +0200
From: Leif Halvard Silli <[email-masked]>
Subject: Re: [Ltru] Uniqueness of variant subtags
To: John Cowan <[email-masked]>
Cc: LTRU Working Group <[email-masked]>,	Kent Karlsson
	<[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

John Cowan 2008-10-03 07.33:

> Leif Halvard Silli scripsit:
> 
>> It is interesting to compare the prefixes allowed for "1996",
>> 
>> 	Prefix: de

    [ snip ]

> Not *allowed*, but *recommended*.  The first means that we say you SHOULD use 'de'
> (and implicitly, SHOULD NOT use any other primary language subtag) with '1996'.

But the question still is why the registry does not say which regions tags "1996" is recommended used for.
--
leif halvard silli

------------------------------

Message: 6
Date: Thu, 2 Oct 2008 23:02:01 -0700
From: Peter Constable <[email-masked]>
Subject: Re: [Ltru] Uniqueness of variant subtags
To: Randy Presuhn <[email-masked]>, LTRU Working Group
	<[email-masked]>
Message-ID:
	<[email-masked]>
	
Content-Type: text/plain; charset="us-ascii"

+1

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Randy Presuhn
Sent: Thursday, October 02, 2008 10:37 AM
To: LTRU Working Group
Subject: Re: [Ltru] Uniqueness of variant subtags

Hi -

As a technical contributor...

I'm deeply concerned that this thread is leading to a seriously over-specified, over-engineered solution.  There are several different concerns that folks appear to be trying to address, and I'm afraid that the net effect of the proposals might be worse than the envisioned problems.

(1) making "institution" mnemonics part of the formal structure logically leads to the conclusion that there should be a registry of institutions.  I really don't want to go there!

(2) the "same meaning" vs "same semantics" debate gets to the heart of why I so strongly opposed using the same variant tag for the Hanyu Pinyin orthography of Mandarin and a pinyin-like way of writing Tibetan.  Our job is to define procedures to keep the registry running smoothly so that language tagging needs can be met.  How does each interpretation effect the operation of the review process and registry?  How would each impact the developer communities of products that employ language tags?  Would either approach make any difference to the people using those languages?

(3) With respect to the "year" business, at some point we have to stop gilding this lily with more and more advice and recognize that as more and more variant subtags are registered, it will become increasingly likely that the character string used for the variant will end up having little or no mnemonic value.  Tough.
It's unrealistic at this late stage in the process to come up with an architecture for the construction of variant subtags.  Doing so will only increases the amount of time spent arguing about the "right" string to use for a particular variant.  THEY ARE JUST SUBTAGS, and we should *NOT* do anything to foster the perception that they are anything more.

Randy

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

------------------------------

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

End of Ltru Digest, Vol 44, Issue 15
************************************
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Fri, 3 Oct 2008 07:13:02 -0600

Leif Halvard Silli <lhs at malform dot no> wrote"

>> Not *allowed*, but *recommended*.  The first means that we say you 
>> SHOULD use 'de' (and implicitly, SHOULD NOT use any other primary 
>> language subtag) with '1996'.
>

The Registry doesn't currently include region subtags as part of any 
Prefix field.  In fact, 'wadegile', which will be submitted to IANA 
today, is the first variant whose Prefix will comprise anything other 
than a language subtag and (optionally) one or more variant subtags.

The big danger with variants is using two or more that are mutually 
exclusive.  '1901' and '1996' are mutually exclusive; there is no 
logical way in which both could ever be used in the same tag.  To steer 
people away from this, when a tag with two variants does make sense, we 
explicitly indicate variant A as part of the Prefix for variant B.  The 
sub-dialects and '1994' sub-sub-dialect of Resian are examples of this.

There is usually less of a problem using region or script subtags 
together with a variant.  This does not mean the resulting tag 
necessarily corresponds to a real-world language variation, such as 
"en-IN-boont", but that it is not logically impossible in the sense that 
"de-1901-1996" would be.

In many cases, trying to enumerate the possible region subtags which 
would make sense with a given variant would be a huge researching 
challenge, and might become the subject of perpetual complaints of 
incompleteness even more than Suppress-Script already is.

For Wade-Giles and (maybe someday) Hanyu Pinyin, we will specify a 
Prefix consisting of 'zh' with a script subtag (and not without one) as 
a fairly explicit indication that the variant really should be used with 
that script subtag.

This is inherently open to debate for each proposed variant, and I am 
sure ietf-languages will hold such debates whether we add a rule or not, 
so I do not support adding a new rule to attempt to regulate this 
behavior, especially not if we are trying to get through a Last Call.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

---

From: John Cowan <[email-masked]>
Date: Fri, 3 Oct 2008 10:18:24 -0400

Lang Gérard scripsit:

> 0-Let me suggest that we should adopt a precise, uniform and recognized
> terminology when discussing about transformations between languages
> and/or scripts.

As far as I can tell, we are currently using the terms "transcription",
"transliteration", "romanization", "language" (except that we do not
require a language community to be large), and "script" in the same senses
as UNGEGN.  We have not used the broader terms "transformation" (meaning
translation, transcription, or transliteration) and "conversion" (meaning
transcription or transliteration), but they are reasonable additions to
the toolkit.  The term "translation" is not relevant to our work.

We also use a different taxonomy of scripts, dividing them into
alphabets, abjads, abugidas, syllabaries, and logosyllabaries: see
http://www.unicode.org/glossary for terse definitions, or Section 6.1
of the Unicode Standard for detailed explanations (available online at
http://www.unicode.org/versions/Unicode5.0.0/ch06.pdf .

-- 
John Cowan    http://ccil.org/~cowan  [email-masked]
'Tis the Linux rebellion / Let coders take their place,
The Linux-nationale / Shall Microsoft outpace,
We can write better programs / Our CPUs won't stall,
So raise the penguin banner of / The Linux-nationale.  --Greg Baker
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Lang Gérard <[email-masked]>
Date: Fri, 3 Oct 2008 16:41:11 +0200

I do not think that all variants of "Sign languages" taken care of inside ISO 639 and IANA's Registry could enter under the"means of verbal communication" that are described as a condition for a language by UNGEGN.
This question of definition of "languages" is clearly linked with the fact that the english word "language" has two possible interpretations in french:
-(i) "langue", that is linked whith "tongue" (that has the same translation "langue" in french), evidently connected with "verbal communication" and oriented on the semantics (this interpretation clearly excludes all forms of signed or only symbolic languages);
-(ii) "language", that is more extensive and more oriented on syntax, and allows to take care of sign languages as well as many sorts of artificial and symbolic languages, like informatics, or "chess game description", ......

The french title of ISO 639 is "Codes pour la representation des noms de LANGUES" that , in principle, does not include Sign languages (that are not "verbal communication means").

Gérard LANG

-----Message d'origine-----
De : John Cowan [mailto:[email-masked]] 
Envoyé : vendredi 3 octobre 2008 16:18
À : Lang Gérard
Cc : [email-masked]; [email-masked]
Objet : Re: [Ltru] Ltru Digest, Vol 44, Issue 15

Lang Gérard scripsit:

> 0-Let me suggest that we should adopt a precise, uniform and 
> recognized terminology when discussing about transformations between 
> languages and/or scripts.

As far as I can tell, we are currently using the terms "transcription", "transliteration", "romanization", "language" (except that we do not require a language community to be large), and "script" in the same senses as UNGEGN.  We have not used the broader terms "transformation" (meaning translation, transcription, or transliteration) and "conversion" (meaning transcription or transliteration), but they are reasonable additions to the toolkit.  The term "translation" is not relevant to our work.

We also use a different taxonomy of scripts, dividing them into alphabets, abjads, abugidas, syllabaries, and logosyllabaries: see http://www.unicode.org/glossary for terse definitions, or Section 6.1 of the Unicode Standard for detailed explanations (available online at http://www.unicode.org/versions/Unicode5.0.0/ch06.pdf .

-- 
John Cowan    http://ccil.org/~cowan  [email-masked]
'Tis the Linux rebellion / Let coders take their place, The Linux-nationale / Shall Microsoft outpace, We can write better programs / Our CPUs won't stall, So raise the penguin banner of / The Linux-nationale.  --Greg Baker
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Gerard Meijssen" <[email-masked]>
Date: Fri, 3 Oct 2008 17:11:00 +0200

Hoi,
In that case the definition in French has to change. ISO-639-3 does include
sign languages and that is a good thing too.
Thanks,
     Gerard

On Fri, Oct 3, 2008 at 4:41 PM, Lang Gérard <[email-masked]> wrote:

> I do not think that all variants of "Sign languages" taken care of inside
> ISO 639 and IANA's Registry could enter under the"means of verbal
> communication" that are described as a condition for a language by UNGEGN.
> This question of definition of "languages" is clearly linked with the fact
> that the english word "language" has two possible interpretations in french:
> -(i) "langue", that is linked whith "tongue" (that has the same translation
> "langue" in french), evidently connected with "verbal communication" and
> oriented on the semantics (this interpretation clearly excludes all forms of
> signed or only symbolic languages);
> -(ii) "language", that is more extensive and more oriented on syntax, and
> allows to take care of sign languages as well as many sorts of artificial
> and symbolic languages, like informatics, or "chess game description",
> ......
>
> The french title of ISO 639 is "Codes pour la representation des noms de
> LANGUES" that , in principle, does not include Sign languages (that are not
> "verbal communication means").
>
> Gérard LANG
>
> "transliteration", "romanization", "language" (except that we do not require
> a language community to be large), and "script" in the same senses as
> UNGEGN.  We have not used the broader terms "transformation" (meaning
> transcription or transliteration), but they are reasonable additions to the
> toolkit.  The term "translation" is not relevant to our work.
>
> We also use a different taxonomy of scripts, dividing them into alphabets,
> abjads, abugidas, syllabaries, and logosyllabaries: see
> http://www.unicode.org/glossary for terse definitions, or Section 6.1 of
> the Unicode Standard for detailed explanations (available online at
> John Cowan    http://ccil.org/~cowan <http://ccil.org/%7Ecowan>
> [email-masked]
> 'Tis the Linux rebellion / Let coders take their place, The Linux-nationale
> / Shall Microsoft outpace, We can write better programs / Our CPUs won't
> stall, So raise the penguin banner of / The Linux-nationale.  --Greg Baker
> Ietf-languages mailing list
> [email-masked]
> http://www.alvestrand.no/mailman/listinfo/ietf-languages
>

---

From: Leif Halvard Silli <[email-masked]>
Date: Sat, 04 Oct 2008 09:55:10 +0200

> sub-dialects and '1994' sub-sub-dialect of Resian are examples of this.

Unless we say that year digits should only be used to "date" an 
existing language or norm - and not itself serve as reference to a 
any language or norm - we could claim that 1996 is a modification 
of 1901. And thus we could claim that "de-1901-1996" would be 
meaningful. (Though redundant.)

So if wadegile would be modified in the future, one could register 
a year for the new - or the old (or both) - revision, which would 
have to be preceded by the wadegile subtag. (Allthough, in real 
life, one could probably just skip adding  the year subtag.)

The same would be the case for the groene and witte boekje for the 
Dutch language: Allthough there are new revisions of those books, 
the most important thing would probably be to be able to tag 
whether one uses the one or the other.

By keeping a strict year meaning to year subtags, we can help that 
registrants avoid such things [that I proposed] as 1996groene and 
1996witte.

> "en-IN-boont", but that it is not logically impossible in the sense that 

This to me suggests to that, in reality, there is consesus that 
year subtags are strictly to be understood as years. Or else, as 
mentioned above, "de-1901-1996" could be meaningful.

> incompleteness even more than Suppress-Script already is.

Whether it is a huge undertaking or not, must be researched first 
of all, in each case. For "1996", it was an agreement between 4 
countries, so it should be pretty simple to conclude.

Further more, we do agree that one should not make tags longer 
than necessary. But the fact of the matter is that a presice 
listing of the region tags for which a year (or other) subtag 
applies, could help keeping tags short.

How? Well, as you know, people add their own meanings into things, 
and could very well "figure out" that "de-NO" would be fine, since 
I live in Norway. But if they see that, "oh, it is not recommended 
to use "de-NO-1996", then this could lead to a very good thing, 
namely that the tagger would pick a more approriate tag, such as 
"de-1996" or "de-DE-1996". If you get what I mean.

> a fairly explicit indication that the variant really should be used with 

That sounds very meaningful.

> behavior, especially not if we are trying to get through a Last Call.

Of course it must be open to debate - we cannot know in advance 
what one want to register and how it relatest to "reality". And I 
do not think that the current lack of recommended region subtag 
prefixes for 1996 is a fundamental error. But I do think that it 
would be much more in line with the strict year meaning that you 
apply to "-1996" to list the region variants of "de" for which the 
1996 dating is good.
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Phillips, Addison" <[email-masked]>
Date: Sat, 4 Oct 2008 09:41:42 -0700

> meaningful. (Though redundant.)

We could claim all sorts of things, but the current RFC already spells this particular case out and there exists several years of usage--predating RFC4646--that say that 1996 is not a modification of 1901.

> registrants avoid such things [that I proposed] as 1996groene and

Why? More importantly, isn't that a matter for the registration process to determine/enforce, rather than the RFC?

> mentioned above, "de-1901-1996" could be meaningful.

No.

The two German subtags you cite above are mutually exclusive because they both refer to specific orthographies. That is, language tag variant subtags refer to variations in language, not to years.

Let's use a more useful example. 'boont' and 'scottish' are both registered variant subtags that can be applied to English (en). They are mutually exclusive because they refer to specific regional dialects/jargons. One cannot speak Boontling Scottish-wise or vice versa. Replacing 'boont' with '1890' and 'scottish' with (I dunno, let's pick a date) '1707' doesn't make the underlying language variations any different or mutually compatible.

> apply to "-1996" to list the region variants of "de" for which the

Really, when the prefix omits all mention of scripts or regions, we have the positive ability to use whichever ones make sense, even if the registrants overlooked and omitted one. I suspect that remnant populations might use 1901 or 1996, depending, with "de-NA".

I think the problem here is that you're suggesting that we should try to register what all of the "correct" potential tags are. But the generative nature of language tags is based on a quite different philosophy: we don't have to do the detailed linguistic research and weigh all manner of data to provide such things (as the old RFC 3066 kind of required). 

Addison

---

From: Leif Halvard Silli <[email-masked]>
Date: Mon, 06 Oct 2008 02:33:06 +0200

Phillips, Addison 2008-10-04 18.41:

>>> exclusive.  '1901' and '1996' are mutually exclusive; there
>>> is no logical way in which both could ever be used in the
>>> same tag. [...]

>> Unless we say that year digits should only be used to "date"
>> an existing language or norm - and not itself serve as
>> reference to a any language or norm - we could claim that
>> 1996 is a modification of 1901. And thus we could claim that
>> "de-1901-1996" would be meaningful. (Though redundant.)
> 
> We could claim all sorts of things, but the current RFC already
> spells this particular case out and there exists several years
> of usage--predating RFC4646--that say that 1996 is not a
> modification of 1901.

I don't think the RFC goes into detail about development of German 
ortography and how 1996 relates to 1901 in that sense. What you 
mean is that we cannot, per the RFC and its history, add 1996 to 
the 1901 subtag, in order to modify what the 1901 subtag means.

(Btw, I never suggested that de-1901-1996 was good tagging, I only 
discussed what is "obvious" in this case.)

>> By keeping a strict year meaning to year subtags, we can help
>> that registrants avoid such things [that I proposed] as
>> 1996groene and 1996witte.
> 
> Why? More importantly, isn't that a matter for the registration
> process to determine/enforce, rather than the RFC?

Because several have pointed out that years could be a good thing 
to use in tags. Determine/enforce? No. Only advice.

>> This to me suggests to that, in reality, there is consesus
>> that year subtags are strictly to be understood as years. Or
>> else, as mentioned above, "de-1901-1996" could be meaningful.
> 
> No.
> 
> The two German subtags you cite above are mutually exclusive
> because they both refer to specific orthographies. That is,
> language tag variant subtags refer to variations in language,
> not to years.

I don't see that we fundamentally disagree when you say that the 
years refers to "variations in language, not to year". Perhaps we 
can agree that years refers to an /dated/ variation of some norm?

If 'de-1996" means "Norm of Written German, the 1996 reform", then 
I would say that "Norm of Written German" is represented by "de" 
(which also includes the suppressed '-latn'), and that "1996" 
represents "the 1996 reform".

This does not mean that "1996" only means the year - after all, it 
is registered as an extension of the "de" subtag. But if we go the 
full route in the other direction, then we could claim full 
autonomy and just use lang="1996".

The dated language norm in question here is "Written Hochdeutsch" 
- which is a norm that normally is referred to with the tag "de" 
or "de" plus a region subtag. I could in fact "(mis)use" "de-1996" 
to signify "written form". But that very fact does not mean that 
it is "1996" which means "written form". The "written form" is 
hidden in the "de" tag. Or else, we could not have applied "1996" 
to it.

> Let's use a more useful example. 'boont' and 'scottish' are
> both registered variant subtags that can be applied to English
> (en). They are mutually exclusive because they refer to
> specific regional dialects/jargons. One cannot speak Boontling
> Scottish-wise or vice versa. Replacing 'boont' with '1890' and
> 'scottish' with (I dunno, let's pick a date) '1707' doesn't
> make the underlying language variations any different or
> mutually compatible.

If 'boont' was a development - aka (sub)dialect - of scotish, then 
'en-scottish-boont' and/or "en-1707-1890" would be OK. But 
contrary to that artificial example, 1996 and 1901 refers to the 
written norm of the same German "dialect".

I think it is your intepretation of years (which is leaning 
towards an autonomy understanding of what the years represents) 
which is most at risk of allowing "de-1901-1996".

The normal assumtion is that a "naked" language subtag, such as 
'de', refers to a language represented by a standardnorm. And so 
both 1901 and 1996 refers to a dated variant of the standard 
written norm of German.

>>> so I do not support adding a new rule to attempt to
>>> regulate this behavior, especially not if we are trying to
>>> get through a Last Call.
>> 
>> Of course it must be open to debate - we cannot know in
>> advance what one want to register and how it relatest to
>> "reality". And I do not think that the current lack of
>> recommended region subtag prefixes for 1996 is a fundamental
>> error. But I do think that it would be much more in line with
>> the strict year meaning that you apply to "-1996" to list the
>> region variants of "de" for which the 1996 dating is good.
> 
> Really, when the prefix omits all mention of scripts or
> regions, we have the positive ability to use whichever ones
> make sense, 

Well, here, I must say that I have taken in what Doug said: the 
supress latin script for "de" is valid for 1996.

> even if the registrants overlooked and omitted one.
> I suspect that remnant populations might use 1901 or 1996,
> depending, with "de-NA".

The keyword here is 'overlooked'.

> I think the problem here is that you're suggesting that we
> should try to register what all of the "correct" potential tags
> are. But the generative nature of language tags is based on a
> quite different philosophy: we don't have to do the detailed
> linguistic research and weigh all manner of data to provide
> such things (as the old RFC 3066 kind of required).

Resian, its subdialects and the 1994 subtag was registered as a 
result of detailed linguistic research.

I feel that here you are saying almost the opposite of what you 
claim to be saying.

Example: Let's say they made a reform in Canadian French and chose 
"2008" as subtag for that reform. You then seem to be of the 
opinion that one could not put in the registry that the 
recommended prefix should be "fr" and "fr-CA". Because, before you 
would allow the Quebecians to be *that* spesific with regard to 
the prefix, you have a whole list of linguistic questions that 
must be answered before they should be allowed to claim that their 
own reform was only relevant to Quebec French.

So it seems like the 1996 subtag should have registered the region 
subtags it was good for - because, it was known which it was good 
for - it did not require investigation, it was 4 countries which 
agreed.  And John has told that it is not forbidden to use 1996 
with any other region tag than the ones it is recommended for. So, 
  if we really agree about that, then, if it is relevant, one can 
just add 1996 to another region subtag, despite its lack of 
recommendation. (And if the usecase is really really relevant, one 
can just augment the list of prefixes in the next revision.)
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Sun, 5 Oct 2008 20:57:02 -0600

I do not support any proposal to add wording to draft-4646bis that would 
limit the structure of variant subtags, or restrict what certain 
characters or substrings mean within a variant or how they could be 
used.  In particular, I do not support any additional wording to limit 
the use of 4-digit numbers within variants.

I do have opinions about how 4-digit numbers should be used in variants, 
but this is the responsibility of ietf-languages and the Reviewer, not 
something that should be dictated by the RFC.

We already have too much micromanagement of this sort in the draft. 
Let's finish.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 5 Oct 2008 20:45:36 -0700

+1

I somehow think 4-digit subtags and subtag sequences will take care of themselves ;-).

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Doug Ewell
> Sent: Sunday, October 05, 2008 7:57 PM
> To: LTRU Working Group
> Subject: Re: [Ltru] Prefixes
>